#ifndef COMPUTERSLOCATIONS_H
#define COMPUTERSLOCATIONS_H

#include <QStringList>
#include "instructorsAndTrainees_global.h"

class INSTRUCTORSANDTRAINEES_EXPORT ComputersLocations
{
public:
    ComputersLocations();

    struct computerInLocation
    {
        QString computer;
        QString location;
    };

    void clear()
    {
        listComputerInLocation.clear();
        locations.clear();
        computers.clear();
    }

    void addComputer(QString computer, QString location);

    QStringList getAllLocations()
    {
        return locations;
    }

    QStringList getAllComputers()
    {
        return computers;
    }

    QString getLocationOfComputer(QString computer);
    QStringList getAllComputersOfLocation(QString location);

private:
    QStringList locations;
    QStringList computers;
    QList <computerInLocation> listComputerInLocation;
};

#endif // COMPUTERSLOCATIONS_H
